http
PUT https://services.leadconnectorhq.com/knowledge-bases/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYes

Body

NameTypeRequiredExampleDescription
namestringNofield to update the name of the knowledge base
descriptionstringNofield to update the description of the knowledge base

Responses

200 - Knowledge base updated successfully
  • success (boolean, required)

json
{
  "success": true
}
400 - Bad Request
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}
401 - Unauthorized
  • statusCode (number): Example: 401

  • message (string): Example: Invalid token: access token is invalid

  • error (string): Example: Unauthorized

json
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}

Example

curl -X PUT 'https://services.leadconnectorhq.com/knowledge-bases/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string"
}'

Last updated October 26, 2026

Was this page helpful?